undefined method `configure' for MoneyRails:Module (NoMethodError) #169

Closed
virvit opened this Issue Feb 13, 2014 · 4 comments

Comments

Projects
None yet
4 participants

virvit commented Feb 13, 2014

Hi.

Have just updated my bundle with the latest gems:
Installing money (6.1.0.beta1)
Installing monetize (0.2.0)
Installing money-rails (0.0.1)

And got that:
config/initializers/money.rb:3:in <top (required)>': undefined methodconfigure' for MoneyRails:Module (NoMethodError)
from /Users/virvit/.rvm/gems/ruby-2.0.0-p247/gems/activesupport-3.2.16/lib/active_support/dependencies.rb:245:in load' from /Users/virvit/.rvm/gems/ruby-2.0.0-p247/gems/activesupport-3.2.16/lib/active_support/dependencies.rb:245:inblock in load'
from /Users/virvit/.rvm/gems/ruby-2.0.0-p247/gems/activesupport-3.2.16/lib/active_support/dependencies.rb:236:in load_dependency' from /Users/virvit/.rvm/gems/ruby-2.0.0-p247/gems/activesupport-3.2.16/lib/active_support/dependencies.rb:245:inload'
from /Users/virvit/.rvm/gems/ruby-2.0.0-p247/gems/railties-3.2.16/lib/rails/engine.rb:593:in block (2 levels) in <class:Engine>' from /Users/virvit/.rvm/gems/ruby-2.0.0-p247/gems/railties-3.2.16/lib/rails/engine.rb:592:ineach'
from /Users/virvit/.rvm/gems/ruby-2.0.0-p247/gems/railties-3.2.16/lib/rails/engine.rb:592:in block in <class:Engine>' from /Users/virvit/.rvm/gems/ruby-2.0.0-p247/gems/railties-3.2.16/lib/rails/initializable.rb:30:ininstance_exec'
from /Users/virvit/.rvm/gems/ruby-2.0.0-p247/gems/railties-3.2.16/lib/rails/initializable.rb:30:in run' from /Users/virvit/.rvm/gems/ruby-2.0.0-p247/gems/railties-3.2.16/lib/rails/initializable.rb:55:inblock in run_initializers'
from /Users/virvit/.rvm/gems/ruby-2.0.0-p247/gems/railties-3.2.16/lib/rails/initializable.rb:54:in each' from /Users/virvit/.rvm/gems/ruby-2.0.0-p247/gems/railties-3.2.16/lib/rails/initializable.rb:54:inrun_initializers'
from /Users/virvit/.rvm/gems/ruby-2.0.0-p247/gems/railties-3.2.16/lib/rails/application.rb:136:in initialize!' from /Users/virvit/.rvm/gems/ruby-2.0.0-p247/gems/railties-3.2.16/lib/rails/railtie/configurable.rb:30:inmethod_missing'

axsuul commented Feb 21, 2014

Also getting this problem as well

ressu commented Feb 21, 2014

Update money-rails to 0.9.0 and things work as expected.

virvit commented Apr 8, 2014

Hi. I still can not update to 0.9.0.

I've deleted all money, monetize, money-rails gems all versions. Running bundle and it still uses 0.1.0 version.

C:\VirVit\wish>gem uninstall money-rails

Select gem to uninstall:

  1. money-rails-0.0.1
  2. money-rails-0.9.0
  3. All versions

    3
    Successfully uninstalled money-rails-0.0.1
    Successfully uninstalled money-rails-0.9.0

C:\VirVit\wish>gem uninstall monetize

Select gem to uninstall:

  1. monetize-0.1.4
  2. monetize-0.2.0
  3. All versions

    3

You have requested to uninstall the gem:
monetize-0.1.4

money-6.0.1 depends on monetize (~> 0.1.3)
If you remove this gem, these dependencies will not be met.
Continue with Uninstall? [yN] y
Successfully uninstalled monetize-0.1.4
Successfully uninstalled monetize-0.2.0

C:\VirVit\wish>gem uninstall money

Select gem to uninstall:

  1. money-6.0.1
  2. money-6.1.0
  3. money-6.1.1
  4. All versions

    4
    Successfully uninstalled money-6.0.1
    Successfully uninstalled money-6.1.0
    Successfully uninstalled money-6.1.1

C:\VirVit\wish>bundle update
Fetching gem metadata from http://rubygems.org/.......
Fetching gem metadata from http://rubygems.org/..
Resolving dependencies...
Using rake (10.2.2)
Using i18n (0.6.9)
Using multi_json (1.9.2)
Using activesupport (3.2.16)
Using builder (3.0.4)
...

Installing money (6.1.1)
Installing monetize (0.2.0)
Installing money-rails (0.0.1)

Here is my Gemfile:

gem 'money'
gem 'monetize'
gem 'money-rails'

What am I doing wrong? thank you!

virvit commented Apr 8, 2014

Well, specified git url directly and only then it worked.

@semmons99 semmons99 closed this Apr 21, 2014

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment